Bug 54921 - [RFE] ability to updated hardware profile via the command line
[RFE] ability to updated hardware profile via the command line
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-10-23 06:10 EDT by Russell King
Modified: 2015-01-07 18:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-15 16:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell King 2001-10-23 06:10:55 EDT
Description of Problem

During registration using rhn_register on a recently installed RedHat 7.2
system, rhn_register picked up on an old IP address listed in /etc/hosts.
After correcting this problem, rhn_register would not take the change, but
did say I could change the system details after registration.

However, when visiting the RHN side and logging in, there appears to be no
record of the IP address that rhn_register collected, and therefore no way
to change it to the real IP address of the system.

Steps to Reproduce:
1. Create an wrong IP address entry in /etc/hosts, or have a wrong entry
   in there because you've moved from one side of the country to the other.
2. proceed through the rhn_register process.
3. notice it's using the wrong IP address
4. correct the /etc/hosts error
5. hit back in rhn_register, then next
6. wrong IP address is still displayed
7. continue anyway, since rhn_register says you can modify the profile on
   the RHN site.
8. finish registration.
9. visit RHN side, log in, try to find the IP address that was registered.

Actual Results:

No IP address information available from RHN site.

Expected Results:

IP address should be updateable as suggested by rhn_register, or else
rhn_register should not give the impression that it is updateable.
Comment 1 Chip Turner 2001-11-13 07:47:22 EST
I believe this qualified as a client/server bug?  is the new ip addy sent up
when "up2date -h" is executed?
Comment 2 Russell King 2001-11-20 17:45:53 EST
[root@brick /root]# up2date -h
Usage: up2date [OPTIONS] <packages>
  -h, --help                  this help screen

Are you referring to another option, or maybe a different program (rhn_register)?
Comment 3 Cristian Gafton 2002-04-20 03:05:08 EDT
Scheduling a hardware profile refresh on the web site works as expected. We
should have a command line option for up2date that refreshes the hardware
profile soon.

Comment 4 Adrian Likins 2002-05-15 16:19:25 EDT
uhm, sure. I can add that.
Comment 5 Josef Komenda 2002-10-31 17:28:24 EST
latest up2date provides this. Closing.
(up2date --hardware)

Note You need to log in before you can comment on or make changes to this bug.